PurpleAccountUserSplit Struct Reference

A username split. More...

`#include <accountopt.h>`

## Data Fields

char * | text
| The text that will appear to the user.
char * | default_value
| The default value. More...
char | field_sep
| The field separator. More...
gboolean | reverse
| TRUE if the separator should be found starting a the end of the string, FALSE otherwise

## Detailed Description

A username split.

This is used by some protocols to separate the fields of the username into more human-readable components.

Definition at line 65 of file accountopt.h.

## Field Documentation

## default_value

char* PurpleAccountUserSplit::default_value

The default value.

Definition at line 68 of file accountopt.h.

## field_sep

char PurpleAccountUserSplit::field_sep

The field separator.

Definition at line 69 of file accountopt.h.

The documentation for this struct was generated from the following file:

- accountopt.h